/*
 * Copyright (C) 2004 Tilman Sauerbeck (tilman at code-monkey de)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __RB_EVAS_OBJECT_H
#define __RB_EVAS_OBJECT_H

#include <stdbool.h>

#define RUBY_EVAS_OBJECT_KEY "__RB_EVAS_OBJECT_OBJECT"

typedef struct {
	Evas_Object *real;
	VALUE parent;
	VALUE callbacks;
	VALUE userdata;
} RbEvasObject;

void Init_EvasObject (void);

VALUE TO_EVAS_OBJECT (Evas_Object *o);

#ifndef __RB_EVAS_OBJECT_C
extern VALUE cEvasObject;
#endif

#endif
